/**************************************************
 *
 * Include this file in your project to enable
 * internal RAM within the range 0x4000-0x53FF,
 * and internal ROM in the range 0xC0000-0xCFFFF
 * for the M30624MG/FG derivatives.
 *
 * Copyright 2002 IAR Systems. All rights reserved.
 *
 * $Revision: 1.1 $
 *
 **************************************************/

#include <iom16c62.h>

/* Placing __low_level_init in the CSTART segment
 * will enable us to locate the code in memory that
 * is accessable before PM13 is set.
 */
#pragma location="CSTART"
char __low_level_init(void);
char __low_level_init()
{
  PRCR_bit.PRC1 = 1;  /* Enable writing to PM1  */
  PM1_bit.PM13  = 1;  /* Set PM13               */
  PRCR_bit.PRC1 = 0;  /* Disable writing to PM1 */

  /* Allow CSTARTUP to initialize segments. */
  return 1;
}
